Bug 193271 - Review Request: python-dns - DNS toolkit for Python
Review Request: python-dns - DNS toolkit for Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 193281
  Show dependency treegraph
 
Reported: 2006-05-26 14:34 EDT by Jeffrey C. Ollie
Modified: 2008-11-18 22:51 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-29 00:34:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2006-05-26 14:34:06 EDT
Spec URL: http://www.ocjtech.us/python-dns-1.3.5-1.spec
SRPM URL: http://www.ocjtech.us/python-dns-1.3.5-1.src.rpm
Description:
dnspython is a DNS toolkit for Python. It supports almost all record
types. It can be used for queries, zone transfers, and dynamic
updates. It supports TSIG authenticated messages and EDNS0.

dnspython provides both high and low level access to DNS. The high
level classes perform queries for data of a given name, type, and
class, and return an answer set. The low level classes allow direct
manipulation of DNS zones, messages, names, and records.
Comment 1 Aurelien Bompard 2006-05-28 05:01:31 EDT
Review for release 1:
* RPM name is OK
* Source dnspython-1.3.5.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* Works fine

APPROVED

Minor:
* Use of buildroot is not consistant.
  (wiki: PackagingGuidelines#UsingBuildRootOptFlags)
  Please change your occurence of %{buildroot} in %check into $RPM_BUILD_ROOT
Comment 2 Jeffrey C. Ollie 2006-05-29 00:34:33 EDT
Thanks for the review!  Package imported, built for devel, branches requested
for FC-4 and FC-5.
Comment 3 Jeffrey C. Ollie 2008-11-10 00:03:57 EST
Package Change Request
======================
Package Name: python-dns
New Branches: EL-5
Owners: jcollie
Comment 4 Jeffrey C. Ollie 2008-11-10 21:33:45 EST
Package Change Request
======================
Package Name: python-dns
New Branches: EL-5
Owners: jcollie,pwouters
Comment 5 Kevin Fenzi 2008-11-18 22:51:31 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.